org.apache.cassandra.db

## Class ColumnIndex

- java.lang.Object
- - org.apache.cassandra.db.ColumnIndex

    public class ColumnIndex
    extends java.lang.Object

Column index builder used by `BigTableWriter`. For index entries that exceed `Config.column_index_cache_size_in_kb`, this uses the serialization logic as in `RowIndexEntry`.

### Field Summary

Fields
`int` `columnIndexCount`
`long` `headerLength`

### Constructor Summary

Constructors
Constructor and Description
`ColumnIndex(SerializationHeader header, SequentialWriter writer, Version version, java.util.Collection<SSTableFlushObserver> observers, ISerializer<IndexInfo> indexInfoSerializer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.nio.ByteBuffer` `buffer()`
`void` `buildRowIndex(UnfilteredRowIterator iterator)`
`int` `indexInfoSerializedSize()`
`java.util.List<IndexInfo>` `indexSamples()`
`int[]` `offsets()`
`void` `reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### columnIndexCount

    public int columnIndexCount

#### headerLength

    public long headerLength

### Constructor Detail

#### ColumnIndex

    public ColumnIndex(SerializationHeader header,
                       SequentialWriter writer,
                       Version version,
                       java.util.Collection<SSTableFlushObserver> observers,
                       ISerializer<IndexInfo> indexInfoSerializer)

### Method Detail

#### reset

    public void reset()

#### buildRowIndex

    public void buildRowIndex(UnfilteredRowIterator iterator)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### buffer

    public java.nio.ByteBuffer buffer()

#### indexSamples

    public java.util.List<IndexInfo> indexSamples()

#### offsets

    public int[] offsets()

#### indexInfoSerializedSize

    public int indexInfoSerializedSize()